﻿@model Microsoft.AspNetCore.Identity.IdentityRole

@{
    ViewData["Title"] = "Editar nuevo rol";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="card">
    <div class="card-body">
        <h3 class="card-title text-center">Editar rol de usuario</h3>

        <form asp-controller="Roles" asp-action="Editar" method="POST">
            <input type="hidden" asp-for="Id" />

            <div class="text-danger" asp-validation-summary="All"></div>

            <div class="row mt-4">
                <div class="col-md-6 offset-3">

                    <div class="mb-3">
                        <label asp-for="Name" class="col-md-2"></label>
                        <input asp-for="Name" class="form-control" placeholder="Ingresa el nombre del rol" />
                        <span asp-validation-for="Name" class="text-danger"></span>
                    </div>

                    <div class="row">
                        <div class="col-sm-10 offset-2">
                            <button type="submit" class="btn btn-success w-75 btn-lg">Editar rol <i class="bi bi-arrow-right-circle-fill"></i></button>
                        </div>
                    </div>

                </div>
            </div>
        </form>
    </div>
</div>

@section Scripts {
    @{
        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }
}